# Custom Achievements

A custom achievement API for Team Fortress 2, allowing plugins to declare their own
achievements, update their progress, and award them to clients.

## Features

* Achievement metadata.  Basically an implementation of `clientprefs` tied to specific
account / achievement combinations.  They're string values, so you can stuff all sorts of custom
data that you can't do with just an integer progress amount alone.
* Localization support.  Translations are stored in the same database so they can be accessed
universally (e.g., so you can blit them out on a web page or something).
* Unmanaged.  The plugin does little more than provide an interface for a backing database and
some TF2-specific effects when achievements are granted &mdash; stuff like counting up
achievement progress and the frequency of syncing the changes back up to the database is all up
to you.

## A "CSRD Internal" Plugin

This is a plugin mainly intended for use in [Pikachu's Canadian Server of Romance and Drama].

While I'm happy if you find some useful code for your own plugins, I can't provide any support
for said code, nor will I offer any guarantees that the plugin will remain usable outside of its
main use.

[Pikachu's Canadian Server of Romance and Drama]: https://csrd.science/
